//
// Vector.DCL - Copyright 1993,94 by Mountain Software
//
// THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
// WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
// PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.
//
//*===================================================================*

dcl_settings : default_dcl_settings { audit_level = 0; }

vector : dialog {
    label = "Vector(tm) Mountain Software";
    spacer_1;
    :row {
        :column {
            :boxed_column {
                label = "Weed Settings";
                :edit_box {
                    label = "Offset / Corridor";
                    mnemonic = "O";
                    alignment = right;
                    fixed_width = true;
                    key = "offset";
                }
                :edit_box {
                    label = "Leg Length";
                    mnemonic = "D";
                    alignment = right;
                    fixed_width = true;
                    key = "leg_length";
                }
                :edit_box {
                    label = "Internal Angle";
                    mnemonic = "A";
                    alignment = right;
                    fixed_width = true;
                    key = "internal_angle";
                }
                :edit_box {
                    label = "Snap Distance";
                    mnemonic = "s";
                    alignment = right;
                    fixed_width = true;
                    key = "snapdist";
                }
                : toggle {
                    label = "Erase Weeded Entities";
                    mnemonic = "E";
                    key = "erase";
                }
            }
            :boxed_column {
                label = "Diagnostic Settings";
                :row {
                    : toggle {
                        label = "Quiet";
                        mnemonic = "Q";
                        key = "quiet";
                    }
                    : toggle {
                        label = "Debug";
                        mnemonic = "D";
                        key = "debug";
                    }
                }
            }
        }
        :column {
            alignment = top;
            fixed_height = true;
            spacer_1;
            ok_button;
            cancel_button;
            help_button;
            spacer_1;
            : retirement_button {
                label = "SaveCfg";
                mnemonic = "S";
                key = "save_config";
            }
        }
    }
    errtile;
}

sfill : dialog {
    label = "Solid Fill";
    :row {
        :boxed_column {
            label = "SFill Settings";
            : toggle {
                label = "Solid Fills as Blocks";
                mnemonic = "S";
                key = "sfill_block_mode";
            }
            : toggle {
                label = "Use Polyline attributes";
                mnemonic = "P";
                key = "use_poly_attr";
            }
            : toggle {
                label = "Keep BFILL polyline";
                mnemonic = "K";
                key = "bfill_keep_poly";
            }
            : toggle {
                label = "Touch Hatch / Solids";
                mnemonic = "T";
                key = "touch_solids";
            }
            :edit_box {
                label = "Arc Segment Angle";
                mnemonic = "A";
                alignment = right;
                fixed_width = true;
                key = "sfill_arc_seg";
            }
            :boxed_row {
                label = "Select";
                : button {
                    label = "Layer";
                    mnemonic = "L";
                    key = "layer";
                }
                : button {
                    label = "Filter";
                    mnemonic = "F";
                    key = "filter";
                }
            }
        }
        :column {
            alignment = top;
            fixed_height = true;
            : retirement_button {
                label = "SFill";
                mnemonic = "S";
                key = "sfill";
            }
            : retirement_button {
                label = "BFill";
                mnemonic = "B";
                key = "bfill";
            }
            : retirement_button {
                label = "Touch";
                mnemonic = "T";
                key = "touch";
            }
            : retirement_button {
                label = "SaveCfg";
                mnemonic = "S";
                key = "save_config";
            }
            spacer_1;
            cancel_button;
            help_button;
        }
    }
    errtile;
}

layers : dialog {
    label = "Select Layer";
    : list_box {
        key = "layer_list";
        width = 20;
        height = 10;
    }
    ok_cancel;
}

look_file : dialog {
    label = "";
    key = "filename";
    : list_box {
        key = "look_box";
        tabs = "9 17 25 33 41 49 57 65 73 81";
        width = 74;
        height = 20;
    }
    ok_button;
}

error_alert : dialog {
    label = "ERROR";
	spacer_1;
    : text {
        key = "error";
        label = " ";
        width = 35;
    }
	spacer_1;
    ok_button;
}

confirm : dialog {
    label = "Confirm ?";
	spacer_1;
    : text {
        key = "confirm_message";
        label = " ";
		alignment = centered;
        width = 35;
    }
	spacer_1;
    ok_cancel;
}


